RIO_OP_READ
Prev | Driver functionality | Next

## Name

RIO_OP_READ — Generate rio_mport_read_config_* functions

## Synopsis

`RIO_OP_READ (` |  | size,
|  | type,
|  | len`)`;

## Arguments

`size`

  Size of configuration space read (8, 16, 32 bits)

`type`

  C type of value argument

`len`

  Length of configuration space read (1, 2, 4 bytes)

## Description

Generates rio_mport_read_config_* functions used to access configuration space registers on the local device.

Prev | Up | Next
RIO_LOP_WRITE | Home | RIO_OP_WRITE